View Issue Details

IDProjectCategoryView StatusLast Update
13297Bug reports[All Projects] Survey participants (Tokens)public2018-02-22 14:18
Reportertbednall Assigned ToLouisGac  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.2.x 
Summary13297: {TOKEN} field doesn't seem to be accessible in end of survey message
Description

Hi folks,

At the end of the survey, I want to provide a URL to my survey participants enabling them to re-access the survey (a reminder). However, when I use the {TOKEN} field, it simply comes up as blank.

Steps To Reproduce

This is the end message I included:

Thank you very much for completing our survey.

If you have any further questions about this project, please contact one of the members of the research team.

If another one of your employees completes the Global Work Design survey, you can add their details by returning to the survey at the following link: http://www.globalworkdesignsurvey.com/index.php/771423?token={TOKEN}.

Yours sincerely,

...

TagsNo tags attached.
Complete LimeSurvey version number (& build) limesurvey3.1.1+180130
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-Versionna
Server OS (if known)CentOS 6.8 Enterprise Linux x86
Webserver software & version (if known)na
PHP Versionna

Activities

ollehar

ollehar

2018-02-06 12:22

administrator   ~46277

Please attach a survey which reproduces the issue.

tbednall

tbednall

2018-02-07 11:35

reporter   ~46290

The files are attached. The relevant one is the one marked "Time 1b". This is a little complicated to explain, so please bear with me.



limesurvey_survey_771423 (Time 1b).lss (102,031 bytes)
limesurvey_survey_924251 (Time 1a).lss (77,904 bytes)
LouisGac

LouisGac

2018-02-07 16:52

manager   ~46295

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26384

Related Changesets

LimeSurvey: master 7d58c0ae

2018-02-07 16:50:00

LouisGac

Details Diff
Fixed issue 13297: {TOKEN} field doesn't seem to be accessible in end of survey message Affected Issues
13297
mod - application/helpers/SurveyRuntimeHelper.php Diff File

Issue History

Date Modified Username Field Change
2018-02-05 22:56 tbednall New Issue
2018-02-06 12:22 ollehar Assigned To => ollehar
2018-02-06 12:22 ollehar Status new => feedback
2018-02-06 12:22 ollehar Note Added: 46277
2018-02-06 12:22 ollehar Assigned To ollehar =>
2018-02-07 11:35 tbednall File Added: limesurvey_survey_771423 (Time 1b).lss
2018-02-07 11:35 tbednall File Added: limesurvey_survey_924251 (Time 1a).lss
2018-02-07 11:35 tbednall Note Added: 46290
2018-02-07 11:35 tbednall Status feedback => new
2018-02-07 15:21 LouisGac Sticky Issue No => Yes
2018-02-07 16:52 LouisGac Changeset attached => LimeSurvey master 7d58c0ae
2018-02-07 16:52 LouisGac Note Added: 46295
2018-02-07 16:52 LouisGac Assigned To => LouisGac
2018-02-07 16:52 LouisGac Resolution open => fixed
2018-02-07 16:56 LouisGac Status new => resolved
2018-02-07 16:56 LouisGac Fixed in Version => 3.2.x
2018-02-07 17:06 ollehar Status resolved => closed
2018-02-22 14:18 c_schmitz Sticky Issue Yes => No